package com.connor.bhdz.pdm.drawingToCapp;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;

import com.teamcenter.rac.aif.AbstractAIFApplication;
import com.teamcenter.rac.aif.kernel.InterfaceAIFComponent;
import com.teamcenter.rac.aifrcp.AIFUtility;
import com.teamcenter.rac.kernel.TCComponentItem;
import com.teamcenter.rac.kernel.TCComponentItemRevision;
import com.teamcenter.rac.kernel.TCException;
import com.teamcenter.rac.util.MessageBox;

public class SendDrawingToCappHandler extends AbstractHandler {

	@Override
	public Object execute(ExecutionEvent arg0) throws ExecutionException {
		
		AbstractAIFApplication app = AIFUtility.getCurrentApplication();
//		жѡУǷзH8_drawing͵ͼֽ
		InterfaceAIFComponent[] components = app.getTargetComponents();
		try {
			if (components != null && components.length > 0) {
				//ÿһѡж
				for (InterfaceAIFComponent component : components) {
					TCComponentItem item;//ѡжitem
					String componentType = "";//ѡж
					if (component instanceof TCComponentItemRevision) {
						TCComponentItemRevision rev = (TCComponentItemRevision) component;
						item = rev.getItem();
						componentType = "rev";
			    		
					}else if (component instanceof TCComponentItem) {
						item = (TCComponentItem) component;
						componentType = "item";
					}else {
						MessageBox.post("ѡͼֽ","ʾ",MessageBox.INFORMATION);
						return null;
					}
					//жѡжǷH8_drawing
					String typeString = item.getStringProperty("object_type");
					System.out.println("ǰѡжitem=="+typeString);
					//жѡеĶǷȫH8_drawingǷnull
					if (!typeString.equals("H8_drawing") && !typeString.equals("H8_frockItem") && !typeString.equals("H8_standardParts") && !typeString.equals("H8_Component")) {
						 MessageBox.post("ѡͼֽ","ʾ",MessageBox.INFORMATION);
						 return null;
					}
				}
			}
			//
			System.out.println("");


			System.out.println("ʼ·");
//			ȫH8_drawing͵Ķ󣬲תaction
			SendDrawingToCappAction ac = new SendDrawingToCappAction(app, null, null);
			Thread thread = new Thread(ac);
			thread.start();

			System.out.println("·ɣʼرս");
		} catch (TCException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} finally {
			
		}
		// TODO Auto-generated method stub
		return null;
	}

}
