package com.connor.bhdz.pdm.partToCapp;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;

import com.connor.bhdz.pdm.drawingToCapp.ProgressReporterDialog;
import com.teamcenter.rac.aif.AbstractAIFApplication;
import com.teamcenter.rac.aif.kernel.InterfaceAIFComponent;
import com.teamcenter.rac.aifrcp.AIFUtility;
import com.teamcenter.rac.kernel.TCComponentItem;
import com.teamcenter.rac.kernel.TCComponentItemRevision;
import com.teamcenter.rac.kernel.TCException;
import com.teamcenter.rac.util.MessageBox;

public class SendPartToCappHandler extends AbstractHandler {

	@Override
	public Object execute(ExecutionEvent arg0) throws ExecutionException {
		AbstractAIFApplication app = AIFUtility.getCurrentApplication();
//		жѡУǷзH8_wuliao͵϶
		InterfaceAIFComponent[] components = app.getTargetComponents();
		try {
			if (components != null && components.length > 0) {
				//ÿһѡж
				for (InterfaceAIFComponent component : components) 	{
					TCComponentItem item;
					String componentType = "";
					if (component instanceof TCComponentItemRevision) {
						TCComponentItemRevision rev = (TCComponentItemRevision) component;
						item = rev.getItem();
						componentType = "rev";

					}else if (component instanceof TCComponentItem) {
						item = (TCComponentItem) component;
						componentType = "item";
					}else {
						MessageBox.post("ѡ϶","ʾ",MessageBox.INFORMATION);
						return null;
					}
					//жѡжǷH8_drawing
					String typeString = item.getStringProperty("object_type");
					System.out.println("ǰѡжitem=="+typeString);

					if (!typeString.equals("H8_wuliao")) {
						MessageBox.post("ѡ϶","ʾ",MessageBox.INFORMATION); return null; }

				}
			}
			System.out.println("ýȵ");
			
			
			System.out.println("ʼ·");
			//ȫH8_drawing͵Ķ󣬲תaction
			SendPartToCappAction ac = new SendPartToCappAction(app, null, null);
			new Thread(ac).start();
			System.out.println("·ɣرսȵ");
			
		} catch (TCException e) {
			e.printStackTrace();
		}
		return null;
	}

}
